Properties Methods Events Direct Link

# Class Ext.AbstractManager

Package: | Ext
Defined In: | AbstractManager.js
Class: | AbstractManager
Extends: | Object

Base Manager class - extended by ComponentMgr and PluginMgr

## Public Properties

Property | Defined By
--- | ---
| all : Ext.util.MixedCollection Contains all of the items currently managed | AbstractManager

## Public Methods

Method | Defined By
--- | ---

create( `Object config`, `String defaultType` ) : Mixed
Creates and returns an instance of whatever this manager manages, based on the supplied type and config object
Creates and returns an instance of whatever this manager manages, based on the supplied type and config object
Parameters:

- `config` : Object
  The config object
- `defaultType` : String
  If no type is discovered in the config object, we fall back to this type

Returns:

- `Mixed`
  The instance of whatever this manager is managing

AbstractManager

get( `String id` ) : Ext.Component
Returns a component by id. For additional details see Ext.util.MixedCollection.get.
Returns a component by id. For additional details see Ext.util.MixedCollection.get.
Parameters:

- `id` : String
  The component id

Returns:

- `Ext.Component`
  The Component, <code>undefined</code> if not found, or <code>null</code> if a Class was found.

AbstractManager

isRegistered( `Ext.Component xtype` ) : Boolean
Checks if a Component type is registered.
Checks if a Component type is registered.
Parameters:

- `xtype` : Ext.Component
  The mnemonic string by which the Component class may be looked up

Returns:

- `Boolean`
  Whether the type is registered.

AbstractManager

onAvailable( `String id`, `Function fn`, `Object scope` ) : void
Registers a function that will be called when a Component with the specified id is added to the manager. This will ha...
Registers a function that will be called when a Component with the specified id is added to the manager. This will happen on instantiation.
Parameters:

- `id` : String
  The component id
- `fn` : Function
  The callback function
- `scope` : Object
  The scope (`this` reference) in which the callback is executed. Defaults to the Component.

Returns:

- void

AbstractManager

register( `Mixed item` ) : void
Registers an item to be managed
Registers an item to be managed
Parameters:

- `item` : Mixed
  The item to register

Returns:

- void

AbstractManager

registerType( `String xtype`, `Constructor cls` ) : void
Registers a new Component constructor, keyed by a new Ext.Component.xtype. Use this method (or its alias Ext.reg) to ...

Registers a new Component constructor, keyed by a new Ext.Component.xtype.

Use this method (or its alias Ext.reg) to register new subclasses of Ext.Component so that lazy instantiation may be used when specifying child Components. see Ext.Container.items

Parameters:

- `xtype` : String
  The mnemonic string by which the Component class may be looked up.
- `cls` : Constructor
  The new Component class.

Returns:

- void

AbstractManager

unregister( `Mixed item` ) : void
Unregisters a component by removing it from this manager
Unregisters a component by removing it from this manager
Parameters:

- `item` : Mixed
  The item to unregister

Returns:

- void

AbstractManager

## Public Events

This class has no public events.